
package org.ow2.petals.tools.webadmin.ui.infra.bean;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class MessageExchangeLVO {

    private String server;

    private String consumer;

    private String provider;

    private String pattern;

    private String status;

    private String service;

    private String endpoint;

    private String operation;

    private long startTime =Long.MAX_VALUE;

    private long endTime =Long.MIN_VALUE;

    private String petalsId;

    private Map<String, MessageLVO> exchanges;
    
    private Set<String> involvedComponents;

    public MessageExchangeLVO() {
        super();
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public String getConsumer() {
        return consumer;
    }

    public void setConsumer(String consumer) {
        this.consumer = consumer;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public String getPetalsId() {
        return petalsId;
    }

    public void setPetalsId(String petalsId) {
        this.petalsId = petalsId;
    }

    public Map<String, MessageLVO> getExchanges() {
        return exchanges;
    }

    public void setExchanges(Map<String, MessageLVO> exchanges) {
        this.exchanges = exchanges;
    }

    public void addExchange(MessageLVO ex) {
        if (this.exchanges == null) {
            this.exchanges = new HashMap<String, MessageLVO>();
        }
        this.exchanges.put(ex.getType(), ex);
    }

    public Set<String> getInvolvedComponents() {
        return involvedComponents;
    }

    public void setInvolvedComponents(Set<String> involvedComponents) {
        this.involvedComponents = involvedComponents;
    }
    
    public void addInvolvedComponent(String component) {
        if (this.involvedComponents == null) {
            this.involvedComponents = new HashSet<String>();
        }
        this.involvedComponents.add(component);
    }

}
